Skip to content

Permissions Groups

All operations require authentication.

5 operationsv2/iam/permissionsGroup
Agent setup

List permissions groupsProduction

GET
/v2/iam/permissionsGroup

Returns the permissions groups of the account, and the platform (ovh) groups reusable in policies.

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200PermissionsGroup[]successful operation
createdAt
read-only
stringdate-time

Creation time

description
required
string

Description of the permissions group

id
read-only
stringuuid

Identifier of the permissions group

name
required
string

Name of the permissions group

owner
read-only
string

Owner of the permissions group

permissions
required
Permissions

Permissions granted when using this permissions group

updatedAt
read-only
stringdate-time

Last update time

urn
read-only
string

Unique resource name used in policies to include this permissions group

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/iam/permissionsGroup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "description": "string", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "owner": "string", "permissions": { "allow": [ { "action": "string" } ], "deny": [ { "action": "string" } ], "except": [ { "action": "string" } ] }, "updatedAt": "2024-01-01T12:00:00Z", "urn": "string" }]

Get a permissions groupProduction

GET
/v2/iam/permissionsGroup/{permissionsGroupURN}

Returns the name, description and permissions of the group.

Path parameters

permissionsGroupURN
required
string

Permissions groupurn

Response

200PermissionsGroupsuccessful operation
createdAt
read-only
stringdate-time

Creation time

description
required
string

Description of the permissions group

id
read-only
stringuuid

Identifier of the permissions group

name
required
string

Name of the permissions group

owner
read-only
string

Owner of the permissions group

permissions
required
Permissions

Permissions granted when using this permissions group

updatedAt
read-only
stringdate-time

Last update time

urn
read-only
string

Unique resource name used in policies to include this permissions group

Example uses permissionsGroupURN = string

$ curl https://api.eu.ovhcloud.com/v2/iam/permissionsGroup/{permissionsGroupURN} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "description": "string", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "owner": "string", "permissions": { "allow": [ { "action": "string" } ], "deny": [ { "action": "string" } ], "except": [ { "action": "string" } ] }, "updatedAt": "2024-01-01T12:00:00Z", "urn": "string"}

Create a permissions groupProduction

POST
/v2/iam/permissionsGroup

Creates a reusable allow/deny action set to attach to policies via permissionsGroups.

Request body (required)

createdAt
read-only
stringdate-time

Creation time

description
required
string

Description of the permissions group

id
read-only
stringuuid

Identifier of the permissions group

name
required
string

Name of the permissions group

owner
read-only
string

Owner of the permissions group

permissions
required
Permissions

Permissions granted when using this permissions group

updatedAt
read-only
stringdate-time

Last update time

urn
read-only
string

Unique resource name used in policies to include this permissions group

Response

200PermissionsGroupsuccessful operation
createdAt
read-only
stringdate-time

Creation time

description
required
string

Description of the permissions group

id
read-only
stringuuid

Identifier of the permissions group

name
required
string

Name of the permissions group

owner
read-only
string

Owner of the permissions group

permissions
required
Permissions

Permissions granted when using this permissions group

updatedAt
read-only
stringdate-time

Last update time

urn
read-only
string

Unique resource name used in policies to include this permissions group

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/iam/permissionsGroup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "description": "string", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "owner": "string", "permissions": { "allow": [ { "action": "string" } ], "deny": [ { "action": "string" } ], "except": [ { "action": "string" } ] }, "updatedAt": "2024-01-01T12:00:00Z", "urn": "string"}

Delete a permissions groupProduction

DELETE
/v2/iam/permissionsGroup/{permissionsGroupURN}

Deletes the permissions group. Resources and policies linked to it are not affected.

Path parameters

permissionsGroupURN
required
string

Permissions groupurn

Response

200—successful operation

Example uses permissionsGroupURN = string

$ curl https://api.eu.ovhcloud.com/v2/iam/permissionsGroup/{permissionsGroupURN} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a permissions groupProduction

PUT
/v2/iam/permissionsGroup/{permissionsGroupURN}

Replaces the group's name, description and permissions.

Path parameters

permissionsGroupURN
required
string

Permissions groupurn

Request body (required)

createdAt
read-only
stringdate-time

Creation time

description
required
string

Description of the permissions group

id
read-only
stringuuid

Identifier of the permissions group

name
required
string

Name of the permissions group

owner
read-only
string

Owner of the permissions group

permissions
required
Permissions

Permissions granted when using this permissions group

updatedAt
read-only
stringdate-time

Last update time

urn
read-only
string

Unique resource name used in policies to include this permissions group

Response

200PermissionsGroupsuccessful operation
createdAt
read-only
stringdate-time

Creation time

description
required
string

Description of the permissions group

id
read-only
stringuuid

Identifier of the permissions group

name
required
string

Name of the permissions group

owner
read-only
string

Owner of the permissions group

permissions
required
Permissions

Permissions granted when using this permissions group

updatedAt
read-only
stringdate-time

Last update time

urn
read-only
string

Unique resource name used in policies to include this permissions group

Example uses permissionsGroupURN = string

$ curl https://api.eu.ovhcloud.com/v2/iam/permissionsGroup/{permissionsGroupURN} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "description": "string", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "owner": "string", "permissions": { "allow": [ { "action": "string" } ], "deny": [ { "action": "string" } ], "except": [ { "action": "string" } ] }, "updatedAt": "2024-01-01T12:00:00Z", "urn": "string"}